Loading...
Searching...
No Matches
Opm::GuideRateHandler< Scalar, IndexTraits >::UpdateGuideRates Class Reference

Computes and updates guide rate values for wells and groups. More...

`#include <GuideRateHandler.hpp>`

## Public Member Functions

| UpdateGuideRates (GuideRateHandler< Scalar, IndexTraits > &parent, const int report_step_idx, const double sim_time, const WellState< Scalar, IndexTraits > &well_state, GroupState< Scalar > &group_state, const int num_phases)
const Parallel::Communication & | comm () const
DeferredLogger & | deferredLogger ()
GuideRate & | guideRate ()
const PhaseUsageInfo< IndexTraits > & | phaseUsage () const
const SummaryState & | summaryState () const
const Schedule & | schedule () const
void | update ()
| Triggers the guide rate update process for the current simulation step.

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::GuideRateHandler< Scalar, IndexTraits >::UpdateGuideRates

Computes and updates guide rate values for wells and groups.

Updates are done for a specific report step and simulation time. This class also handles computation of group potentials and supports reservoir coupling features if enabled.

The documentation for this class was generated from the following files:

- opm/simulators/wells/GuideRateHandler.hpp
- opm/simulators/wells/GuideRateHandler.cpp